Show Payout
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/payouts/{id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/payouts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/payouts/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"amount": 123,
"concept": "<string>",
"recipient_type": "<string>",
"recipient_id": 123,
"discarded_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Treasury Payouts
Show Payout
Get details of a specific payout in a subscription
GET
/
api
/
v1
/
accounts
/
{account_id}
/
treasury
/
subscriptions
/
{subscription_id}
/
payouts
/
{id}
Show Payout
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/payouts/{id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/payouts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/payouts/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"amount": 123,
"concept": "<string>",
"recipient_type": "<string>",
"recipient_id": 123,
"discarded_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Path Parameters
ID of the payout
The numeric ID of the account
The numeric ID of the subscription